%global __requires_exclude ^perl\\(I18N::LangTags\\)$

Summary:        Framework for localization
Name:           perl-Locale-Maketext
Version:        1.31
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Locale-Maketext
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Locale-Maketext-%{version}.tar.gz

BuildRequires:  make findutils perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) 
# Run-time:
BuildRequires:  perl(Carp) perl(warnings)
BuildRequires:  perl(I18N::LangTags) >= 0.31

# Tests:
BuildRequires:  perl(Test::More)

BuildArch:      noarch

Requires:       perl(I18N::LangTags) >= 0.31 perl(warnings) 

%description
It is a common feature of applications to implement localization -- i.e., for them to 
present an Chinese interface to an Chinese-speaker, a English interface to a English-speaker, 
and so on. Locale::Maketext is a framework for software localization; it provides you with the 
tools for organizing and accessing the bits of text and text-processing code that you need for
producing localized applications.

%prep
%autosetup -n Locale-Maketext-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.31-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Cheng Xin <denisecheng@tencent.com> - 1.31-1
- package init.
